Skip to main content
POST
/
api
/
client
/
v2
/
prospect-list
/
{id}
/
delete
Delete Prospect List
curl --request POST \
  --url https://prod-nginx-v2.goextrovert.com/webgateway/api/client/v2/prospect-list/{id}/delete \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "listId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "rejectAllPostsActivities": true
}
'
{
  "status": "success",
  "data": null,
  "message": "Operation completed successfully"
}

Authorizations

X-API-Key
string
header
required

API Key for authentication

Path Parameters

id
string
required

Body

application/json
variant
enum<string>
required

Scope of the operation. all — all visible prospects. list — a specific prospect list (use together with listId). campaign — every list in a campaign (use together with campaignId).

Available options:
all,
list,
campaign
listId
string<uuid>
required

ID of the prospect list to delete.

campaignId
string<uuid>
required

ID of the parent campaign of the prospect list.

rejectAllPostsActivities
boolean

Whether pending posts of the affected prospects should also be rejected.

Response

status
enum<string>
required

Response status

Available options:
success
data
any | null
required

No response payload

Available options:
null
Example:

null

message
string
required

Success message

Example:

"Operation completed successfully"